Verify a sender domain
curl --request POST \
--url https://api.statisfy.com/v1/sender-domains/{domain}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/sender-domains/{domain}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/sender-domains/{domain}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/sender-domains/{domain}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/sender-domains/{domain}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/sender-domains/{domain}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/sender-domains/{domain}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"added_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"domain": "<string>",
"records": [
{
"host": "<string>",
"purpose": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z"
}sender_domains
Verify a sender domain
Asks SendGrid to check the domain’s DNS records now and returns the domain with its new status: verified, or failed when the records are not found (DNS changes can take hours to be seen). A verified domain whose records are gone becomes failed, and the workspace stops sending from it. Safe to repeat.
POST
/
v1
/
sender-domains
/
{domain}
/
verify
Verify a sender domain
curl --request POST \
--url https://api.statisfy.com/v1/sender-domains/{domain}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/sender-domains/{domain}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/sender-domains/{domain}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/sender-domains/{domain}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/sender-domains/{domain}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/sender-domains/{domain}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/sender-domains/{domain}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"added_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"domain": "<string>",
"records": [
{
"host": "<string>",
"purpose": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Path Parameters
Response
200 - application/json
Successful Response
Was this page helpful?